Assign or update a routed IPv6 prefix for your VM

Assign a new routed IPv6 prefix to your virtual machine (VM) or update its 'next hop' settings. This is necessary for your VM to communicate directly over the IPv6 network.

VPS Services VM

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
action string · enum required · Example: refresh_next_hop
allocate
refresh_next_hop

Responses

200
data object required
data.allocation object required
data.allocation.account_id string required · Example: 20000
data.allocation.allocated_at string required · Example: 2026-02-10 00:00:00.658429+00
data.allocation.client_id string required · Example: 30000
data.allocation.cooldown_until string · nullable required · Example: null

Nullable: may be null when not applicable.

data.allocation.created_at string required · Example: 2026-02-10 00:00:00.658429+00
data.allocation.id integer required · Example: 3
data.allocation.metadata object required
data.allocation.metadata.updatedAt string required · Example: 2026-02-10T00:00:00.000Z
data.allocation.metadata.updatedBy string required · Example: 1
data.allocation.next_hop string required · Example: 2001:db8::1
data.allocation.prefix string required · Example: 2001:db8::1/48
data.allocation.prefix_length integer required · Example: 48
data.allocation.proxmox_vm_id string required · Example: 10048
data.allocation.rack_id string required · Example: dc1r28
data.allocation.released_at string · nullable required · Example: null

Nullable: may be null when not applicable.

data.allocation.status string required · Example: active
data.allocation.updated_at string required · Example: 2026-02-10 00:00:00.658429+00
data.created boolean required · Example: false
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

201
data object required
data.allocation object required
data.allocation.account_id string required · Example: 20000
data.allocation.allocated_at string required · Example: 2026-02-10 00:00:00.658429+00
data.allocation.client_id string required · Example: 30000
data.allocation.cooldown_until string · nullable required · Example: null

Nullable: may be null when not applicable.

data.allocation.created_at string required · Example: 2026-02-10 00:00:00.658429+00
data.allocation.id integer required · Example: 3
data.allocation.metadata object required
data.allocation.metadata.updatedAt string required · Example: 2026-02-10T00:00:00.000Z
data.allocation.metadata.updatedBy string required · Example: 1
data.allocation.next_hop string · enum required · Example: 2001:db8::1/128
2001:db8::1/128
2001:db8::1
2001:db8::1
data.allocation.prefix string · enum required · Example: 2001:db8::1/48
2001:db8::1/48
2001:db8::1/48
2001:db8::1/48
data.allocation.prefix_length integer required · Example: 48
data.allocation.proxmox_vm_id string required · Example: 10048
data.allocation.rack_id string required · Example: dc1r28
data.allocation.released_at string · nullable required · Example: null

Nullable: may be null when not applicable.

data.allocation.status string required · Example: active
data.allocation.updated_at string required · Example: 2026-02-10 00:00:00.658429+00
data.created boolean required · Example: true
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/vm/{vmid}/routed-ipv6
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/vm/10000/routed-ipv6" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "action": "refresh_next_hop"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "created": false,
    "allocation": {
      "id": 3,
      "rack_id": "dc1r28",
      "client_id": "30000",
      "account_id": "20000",
      "proxmox_vm_id": "10048",
      "prefix": "2001:db8::1/48",
      "prefix_length": 48,
      "next_hop": "2001:db8::1",
      "status": "active",
      "allocated_at": "2026-02-10 00:00:00.658429+00",
      "released_at": null,
      "cooldown_until": null,
      "metadata": {
        "updatedAt": "2026-02-10T00:00:00.000Z",
        "updatedBy": "1"
      },
      "created_at": "2026-02-10 00:00:00.658429+00",
      "updated_at": "2026-02-10 00:00:00.658429+00"
    }
  }
}
Request Body refresh_next_hop
{
  "action": "refresh_next_hop"
}